/* #####   HEADER FILE INCLUDES   ######################################### */
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <string.h>
#include <time.h>
#include <glpk.h>

int main(int argc, char *argv[]){
    glp_prob* mip = glp_create_prob();
    int read = glp_read_mps(mip, GLP_MPS_FILE, NULL, argv[1]);
    if(read != 0){
        read = glp_read_mps(mip, GLP_MPS_DECK, NULL, argv[1]);
    }  /* -----  end if  ----- */
    if(read == 0){
        int solve_lp = glp_simplex(mip, NULL);
        
		int n_col_int = glp_get_num_int(mip);

		int *ind;
		ind = calloc(n_col_int + 1, sizeof(int));
		if(ind == NULL){
		    printf("ERROR: Malloc failed with ind.\n");
		    exit(EXIT_FAILURE);
		}  /* -----  end if  ----- */
		double *val;
		val = calloc(n_col_int + 1, sizeof(double));
		if(val == NULL){
		    printf("ERROR: Malloc failed with val.\n");
		    exit(EXIT_FAILURE);
		}  /* -----  end if  ----- */
		
		int len = glp_get_mat_col(mip, 1, ind, val);
		
		solve_lp = glp_simplex(mip, NULL);
    }
}
